
Katello - Bug #23805

Upgrade Katello 3.5/3.6 with foreman 1.16.1/1.17.1 fails at foreman-rake katello:correct_repositories

06/04/2018 07:26 PM - Stefan Heijmans

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Upgrades   

Target version: Katello 3.6.1   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

After all the 1.17.0 issues, tried another upgrade again of katello 3.5/3.6 with foreman 1.16.1/1.17.1

Now the upgrade fails with;

foreman-installer --scenario katello --upgrade

Upgrade Step: correct_repositories (this may take a while) ...

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning: constant

::Fixnum is deprecated

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning: constant

::Bignum is deprecated

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:183: warning: already initialized constant

ActiveSupport::MessageEncryptor::DEFAULT_CIPHER

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_encryptor.rb:22: warning:

previous definition of DEFAULT_CIPHER was here

The PGconn, PGresult, and PGError constants are deprecated, and will be

removed as of version 1.0.

You should use PG::Connection, PG::Result, and PG::Error instead, respectively.

Called from /opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

rake aborted!

RestClient::InternalServerError: 500 Internal Server Error

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/abstract_response.rb:223:in `exception_with_response'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/abstract_response.rb:103:in `return!'

/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-2.6.0/lib/runcible/base.rb:81:in `block in get_response'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:807:in `process_result'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:725:in `block in transmit'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:715:in `transmit'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:145:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:52:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/resource.rb:51:in `get'

/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-2.6.0/lib/runcible/base.rb:80:in `get_response'

/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-2.6.0/lib/runcible/base.rb:68:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-2.6.0/lib/runcible/resources/repository.rb:31:in `retrieve'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/repository.rake:126:in `repo_exists?'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/repository.rake:61:in `block (3 levels) in <top (required)>'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:63:in `block (2 levels) in

find_each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:63:in `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:63:in `block in find_each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:129:in `block in

find_in_batches'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:230:in `block in
in_batches'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:214:in `loop'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:214:in `in_batches'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:128:in `find_in_batches'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/batches.rb:62:in `find_each'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/repository.rake:59:in `with_index'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/repository.rake:59:in `block (2 levels) in <top (required)>'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'

Tasks: TOP => katello:correct_repositories

(See full trace by running task with --trace)

Processing Repository 1/108: base_x86_64 (1)

foreman-rake katello:correct_repositories COMMIT=true failed! Check the output for error!

Upgrade step correct_repositories failed. Check logs for more information.

/var/log/foreman/production.log

2018-06-01T21:15:02  [app] [I] Current user: foreman_admin (administrator)

2018-06-01T21:15:02  [app] [W] 500 Internal Server Error  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/abstract_response.rb:223:in `exception_with_response'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/abstract_response.rb:103:in `return!'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:809:in `process_result'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:725:in `block in transmit'  |

/opt/rh/rh-ruby24/root/usr/share/ruby/net/http.rb:877:in `start'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:715:in `transmit'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:145:in `execute'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/request.rb:52:in `execute'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-2.0.1/lib/restclient/resource.rb:51:in `get'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:150:in `backend_status'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:114:in `pulp_without_auth'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:36:in `block in ping_pulp_without_auth'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:83:in `exception_watch'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:35:in `ping_pulp_without_auth'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:19:in `ping'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/reimport.rake:7:in `block (2 levels) in <top (required)>'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `block in execute'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `each'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `execute'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:194:in `block in invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:216:in `block in invoke_prerequisites'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:214:in `each'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:214:in `invoke_prerequisites'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:193:in `block in invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:180:in `invoke'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:152:in `invoke_task'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block (2 levels) in top_level'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `each'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block in top_level'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:117:in `run_with_threads'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:102:in `top_level'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:80:in `block in run'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:178:in `standard_exception_handling'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:77:in `run'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'  | /opt/rh/rh-ruby24/root/usr/bin/rake:23:in

`load'  | /opt/rh/rh-ruby24/root/usr/bin/rake:23:in `<main>'

2018-06-01T21:15:02  [app] [W] Skipped pulp_auth check after failed pulp check  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:52:in `block in ping_pulp_with_auth'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:83:in `exception_watch'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:48:in `ping_pulp_with_auth'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/ping.rb:22:in `ping'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/reimport.rake:7:in `block (2 levels) in <top (required)>'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `block in execute'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `each'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `execute'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:194:in `block in invoke_with_call_chain'  |
/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:216:in `block in invoke_prerequisites'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:214:in `each'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:214:in `invoke_prerequisites'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:193:in `block in invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:180:in `invoke'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:152:in `invoke_task'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block (2 levels) in top_level'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `each'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block in top_level'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:117:in `run_with_threads'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:102:in `top_level'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:80:in `block in run'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:178:in `standard_exception_handling'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:77:in `run'  |

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'  | /opt/rh/rh-ruby24/root/usr/bin/rake:23:in

`load'  | /opt/rh/rh-ruby24/root/usr/bin/rake:23:in `<main>'

2018-06-01T21:15:02  [app] [I] Current user: foreman_api_admin (administrator)

Looks like

http://projects.theforeman.org/issues/23008

http://projects.theforeman.org/issues/21802

Tried to install https://yum.theforeman.org/plugins/nightly/el7/x86_64/tfm-rubygem-foreman-tasks-0.13.1-1.fm1_18.el7.noarch.rpm

but then more&more deps needed from nightly.

Any idea how to solve it?

History

#1 - 06/06/2018 05:54 PM - John Mitsch

- Assignee set to Andrew Kofink

#2 - 06/06/2018 06:06 PM - Andrew Kofink

This looks like maybe your pulp server was down. Re-running the installer may fix it for you. Please try it and let me know if it doesn't. If so, would you

please post the full installer upgrade logs?

#3 - 06/10/2018 07:48 PM - Stefan Heijmans

Andrew Kofink wrote:

This looks like maybe your pulp server was down.

 https://theforeman.org/plugins/katello/3.6/upgrade/index.html

Step 4 - Update Packages

katello-service stop

So that would mean the `foreman-installer --scenario katello --upgrade` is forgetting to start the pulp server.

Just reverted the snapshot and am performing the upgrade again.

#4 - 06/10/2018 08:06 PM - Stefan Heijmans

Andrew Kofink wrote:

Re-running the installer may fix it for you. Please try it

 OMG the 2nd run I don't receive the above error (getting a Windows-feeling here) but getting a new one;

Tasks: TOP => katello:upgrades:3.6:republish_file_repos

(See full trace by running task with --trace)

Republishing file repo EL6 (210)...

foreman-rake katello:upgrades:3.6:republish_file_repos failed! Check the output for error!

Upgrade step republish_file_repos failed. Check logs for more information.

[root@foreman ~]#
#5 - 06/10/2018 08:23 PM - Stefan Heijmans

3rd time not lucky, same error

Upgrade Step: republish_file_repos (this may take a while) ...

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning

: constant ::Fixnum is deprecated

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning

: constant ::Bignum is deprecated

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:183: warning: already initialized constant ActiveSupport::MessageEnc

ryptor::DEFAULT_CIPHER

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_encryptor.rb

:22: warning: previous definition of DEFAULT_CIPHER was here

The PGconn, PGresult, and PGError constants are deprecated, and will be

removed as of version 1.0.

You should use PG::Connection, PG::Result, and PG::Error instead, respectively.

Called from /opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

rake aborted!

ArgumentError: wrong number of arguments (given 4, expected 2..3)

/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-2.6.0/lib/runcible/models/iso_distributor.rb:15:in `init

ialize'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/glue/pulp/repo.rb:291:in `new'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/models/katello/glue/pulp/repo.rb:291:in `genera

te_distributors'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/lib/actions/pulp/repository/refresh.rb:44:in `b

lock in update_or_associate_distributors'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:368:in `switch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:389:in `concurrence'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/lib/actions/pulp/repository/refresh.rb:41:in `u

pdate_or_associate_distributors'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/lib/actions/pulp/repository/refresh.rb:13:in `p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:486:in `block (3 levels) in 

execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/lib/actions/middleware/backend_services_check.r

b:23:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/app/lib/actions/middleware/remote_action.rb:9:in `p

lan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:35:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/world.rb:30:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:485:in `block (2 levels) in 

execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:368:in `switch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:389:in `concurrence'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:484:in `block in execute_pla

n'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:444:in `block in with_error_

handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:444:in `catch'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:444:in `with_error_handling'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:483:in `execute_plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:277:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan/steps/plan_step.rb:54:i

n `block in execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan/steps/abstract.rb:155:i

n `with_meta_calculation'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan/steps/plan_step.rb:53:i

n `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:270:in `block (2 lev

els) in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:368:in `switch_flow'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:358:in `with_plannin

g_scope'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:269:in `block in pla

n'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:43:in `plan_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:43:in `plan_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:43:in `plan_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:43:in `plan_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware.rb:18:in `pass'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/common/transaction.rb:16:in

 `block in rollback_on_error'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/connection_adapters/ab

stract/database_statements.rb:235:in `block in transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/connection_adapters/ab

stract/transaction.rb:194:in `block in within_new_transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/connection_adapters/ab

stract/transaction.rb:191:in `within_new_transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/connection_adapters/ab

stract/database_statements.rb:235:in `transaction'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/transactions.rb:210:in

 `transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/transaction_adapters/active_record.rb:

5:in `transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/common/transaction.rb:15:in

 `rollback_on_error'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/common/transaction.rb:5:in 

`plan_phase'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/middleware/world.rb:30:in `execute'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/execution_plan.rb:268:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/world.rb:174:in `block in plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/world.rb:172:in `tap'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/world.rb:172:in `plan'

/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/world.rb:148:in `trigger'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.11.2/lib/foreman_tasks.rb:19:in `trigger'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.11.2/lib/foreman_tasks.rb:25:in `block in trigger

_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.11.2/lib/foreman_tasks.rb:39:in `block in rails_s

afe_trigger_task'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies/interlo

ck.rb:46:in `block in permit_concurrent_loads'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/concurrency/share_lo

ck.rb:185:in `yield_shares'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies/interlo

ck.rb:45:in `permit_concurrent_loads'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.11.2/lib/foreman_tasks.rb:38:in `rails_safe_trigg

er_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.11.2/lib/foreman_tasks.rb:23:in `trigger_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.11.2/lib/foreman_tasks.rb:51:in `sync_task'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/upgrades/3.6/republish_file_repos

.rake:10:in `block (5 levels) in <top (required)>'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/delegation.rb

:39:in `each'

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/delegation.rb

:39:in `each'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0/lib/katello/tasks/upgrades/3.6/republish_file_repos

.rake:8:in `block (4 levels) in <top (required)>'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'

Tasks: TOP => katello:upgrades:3.6:republish_file_repos

(See full trace by running task with --trace)

Republishing file repo EL6 (210)...

foreman-rake katello:upgrades:3.6:republish_file_repos failed! Check the output for error!

Upgrade step republish_file_repos failed. Check logs for more information.

[root@foreman ~]#

 but looks like; https://community.theforeman.org/t/upgrading-from-katello-3-6-rc2-to-katello-3-6-imperial-ipa/8860

fixed it with;

[root@foreman ~]# wget https://fedorapeople.org/groups/katello/releases/yum/nightly/katello/el7/x86_64/tfm-rub

ygem-runcible-2.8.1-1.el7.noarch.rpm

--2018-06-10 22:11:36--  https://fedorapeople.org/groups/katello/releases/yum/nightly/katello/el7/x86_64/tfm-r

ubygem-runcible-2.8.1-1.el7.noarch.rpm

Resolving fedorapeople.org (fedorapeople.org)... 152.19.134.199, 2610:28:3090:3001:5054:ff:fea7:9474

Connecting to fedorapeople.org (fedorapeople.org)|152.19.134.199|:443... connected.

HTTP request sent, awaiting response... 200 OK

Length: 92784 (91K) [application/x-rpm]

Saving to: ‘tfm-rubygem-runcible-2.8.1-1.el7.noarch.rpm’

100%[=========================================================================================================

==============================>] 92,784       337KB/s   in 0.3s

2018-06-10 22:11:37 (337 KB/s) - ‘tfm-rubygem-runcible-2.8.1-1.el7.noarch.rpm’ saved [92784/92784]

[root@foreman ~]# yum localinstall tfm-rubygem-runcible-2.8.1-1.el7.noarch.rpm

 Just as mentioned in https://projects.theforeman.org/issues/22768#change-105374

Upgrade completed

Upgrade Step: republish_file_repos (this may take a while) ...

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning

: constant ::Fixnum is deprecated

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning

: constant ::Bignum is deprecated

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:183: warning: already initialized constant ActiveSupport::MessageEnc

ryptor::DEFAULT_CIPHER

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_encryptor.rb

:22: warning: previous definition of DEFAULT_CIPHER was here

The PGconn, PGresult, and PGError constants are deprecated, and will be

removed as of version 1.0.

You should use PG::Connection, PG::Result, and PG::Error instead, respectively.

Called from /opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

Republishing file repo EL6 (210)...

Republishing file repo EL6 (211)...

Republishing file repo CIS (233)...

Republishing file repo EL6 (202)...

Republishing file repo EL6 (212)...

Republishing file repo EL6 (213)...

foreman-rake katello:upgrades:3.6:republish_file_repos finished successfully!

Upgrade Step: remove_registration_tasks...

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning

: constant ::Fixnum is deprecated

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning

: constant ::Bignum is deprecated

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:183: warning: already initialized constant ActiveSupport::MessageEnc

ryptor::DEFAULT_CIPHER

/opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_encryptor.rb

:22: warning: previous definition of DEFAULT_CIPHER was here

The PGconn, PGresult, and PGError constants are deprecated, and will be

removed as of version 1.0.
You should use PG::Connection, PG::Result, and PG::Error instead, respectively.

Called from /opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

foreman-rake foreman_tasks:cleanup TASK_SEARCH="label = Actions::Katello::Host::Register" STATES=all finished 

successfully!

Upgrade completed!

[root@foreman ~]# 

#6 - 06/11/2018 12:53 PM - Andrew Kofink

- Assignee deleted (Andrew Kofink)

- translation missing: en.field_release set to 352

Glad it worked for you. We'll keep an eye out for this same issue. For now, I'll put it on 3.6.1 since it affects upgrades to 3.6.

#7 - 08/24/2023 02:50 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

- Triaged set to No

Closing for its age.
